Last Comment Bug 583241 - [tracking] Localize Firefox Home Project
: [tracking] Localize Firefox Home Project
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Tracking (show other bugs)
: unspecified
: Other iOS 4
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: chris hofmann
Mentors:
: 578789 (view as bug list)
Depends on: fxhome-l10n-es-ES fxhome-l10n-de fxhome-l10n-fr fxhome-l10n-nl fxhome-l10n-it fxhome-l10n-zh-CN fxhome-l10n-zh-TW fxhome-l10n-si fxhome-l10n-pl fxhome-l10n-ko fxhome-l10n-cs fxhome-l10n-ca fxhome-l10n-ru fxhome-l10n-ja fxhome-l10n-tr fxhome-l10n-pt-BR 596381
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 07:44 PDT by Seth Bindernagel
Modified: 2016-07-15 12:13 PDT (History)
18 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Firefox Home Application Strings (6.05 KB, application/zip)
2010-07-30 07:58 PDT, Seth Bindernagel
no flags Details
Firefox Home Strings in PO format (71.80 KB, application/x-compressed)
2010-08-01 06:21 PDT, Dwayne Bailey
no flags Details
Firefox Home Application Strings (6.43 KB, application/zip)
2010-08-07 03:09 PDT, Seth Bindernagel
no flags Details

Description Seth Bindernagel 2010-07-30 07:44:10 PDT
This bug will serve as a master tracking bug for the localization of the Firefox Home application.

Individual, per-locale tracking bugs will block this bug.
Comment 1 Seth Bindernagel 2010-07-30 07:58:26 PDT
Created attachment 461546 [details]
Firefox Home Application Strings

Unzip the FFH_Strings.zip to see the .string files for localization.
Comment 2 Francesco Lodolo [:flod] 2010-07-30 08:22:54 PDT
Since I don't own an iPhone, is there any possibility to test the App itself in other ways? I suppose also that the web content, at least partially, should be targeted to the iPhone's screen size.
Comment 3 Seth Bindernagel 2010-07-30 08:33:02 PDT
Flod:  Does anyone in your community have an iPhone?  The Mozilla Firefox Home dev team is making the assumption that someone in your community has one.  If not, we will have to find another way to test.
Comment 4 Francesco Lodolo [:flod] 2010-07-30 08:52:22 PDT
(In reply to comment #3)
> Flod:  Does anyone in your community have an iPhone?  The Mozilla Firefox Home
> dev team is making the assumption that someone in your community has one.  If
> not, we will have to find another way to test.

I think we should have an iPhone 3Gs, the problem is that August is not the best month to find other people online ;-)
Comment 5 Francesco Lodolo [:flod] 2010-07-30 09:13:48 PDT
(In reply to comment #4)
> I think we should have an iPhone 3Gs, the problem is that August is not the
> best month to find other people online ;-)

Another question: assuming that we find someone with an iPhone avalaible and willing to test, is an easy task testing an application that is not on the AppStore? Is it possible to change the strings "on the fly"? Maybe those are strange questions, but I don't really know anything about how iOS works ;-)
Comment 6 Seth Bindernagel 2010-07-30 09:47:36 PDT
Just alerted by the developer team that we are not officially string frozen on the actual application.  I'll ping in this bug when we are ready to go.  Any translations you do to the application may be lost if the strings change.
Comment 7 Seth Bindernagel 2010-07-30 09:58:27 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > I think we should have an iPhone 3Gs, the problem is that August is not the
> > best month to find other people online ;-)
> 
> Another question: assuming that we find someone with an iPhone avalaible and
> willing to test, is an easy task testing an application that is not on the
> AppStore? Is it possible to change the strings "on the fly"? Maybe those are
> strange questions, but I don't really know anything about how iOS works ;-)

I don't have answers to those questions.  Right now, Dan W will provide you with builds after you make string changes.  My best guess is to track all changes and make them at once, submit the new strings to Dan in the bug, asking for a new build.  Test again.  

The process seems slow and painful compared to what we usually get, but that is what you get with a closed system like Apple.

I am not aware of an app that helps with testing.  Perhaps Dan W knows of one.  Flod: if you find one, please comment in the bug for all to learn.
Comment 8 [:rickiees] Ricardo Palomares 2010-07-30 12:58:45 PDT
(In reply to comment #3)
> Flod:  Does anyone in your community have an iPhone?  The Mozilla Firefox Home
> dev team is making the assumption that someone in your community has one.  If
> not, we will have to find another way to test.


May an iPod Touch (the one with WiFi that looks like an iPhone except for the mobile phone function) work? AFAIK, that's the closer to an iPhone we can get in es-ES team. :-)

TIA
Comment 9 Guillermo Movia [:deimidis] 2010-07-30 13:55:08 PDT
This bug will be just for Europen locales?
Comment 10 Dwayne Bailey 2010-08-01 06:21:20 PDT
Created attachment 461884 [details]
Firefox Home Strings in PO format

src - the strings that Seth uploaded
pot - POT files built from the .strings files
po/* - translate your language here.  Three 'testing languages' are here already.  xx marks al strings with xxxStringxxx.  unicode converts all strings to Unicode characters that look like their Latin equivalents.  chef the Swedish chef from the Muppets.
src-trans/* - po files converted back to strings
Comment 11 Seth Bindernagel 2010-08-02 02:19:57 PDT
(In reply to comment #10)
> Created attachment 461884 [details]
> Firefox Home Strings in PO format
> 
> src - the strings that Seth uploaded
> pot - POT files built from the .strings files
> po/* - translate your language here.  Three 'testing languages' are here
> already.  xx marks al strings with xxxStringxxx.  unicode converts all strings
> to Unicode characters that look like their Latin equivalents.  chef the Swedish
> chef from the Muppets.
> src-trans/* - po files converted back to strings

Thanks, Dwayne.  As mentioned, these strings are not frozen yet, so we'll have to do this all again once the Firefox Home team declares a string freeze.  Hoping you can repeat the process when we are ready.
Comment 12 Dwayne Bailey 2010-08-02 03:49:57 PDT
(In reply to comment #11)
> 
> Thanks, Dwayne.  As mentioned, these strings are not frozen yet, so we'll have
> to do this all again once the Firefox Home team declares a string freeze. 
> Hoping you can repeat the process when we are ready.

Definitely.

If you decide to translate these now you can update using:

pot2po -t po/xx pot po/xx-new
Comment 13 Seth Bindernagel 2010-08-04 08:27:53 PDT
Here is another piece of the Firefox Home project.  If you follow this link:

http://viewvc.svn.mozilla.org/vc/projects/granary/firefoxhome/AppStoreDescription.txt?revision=71852&view=co

you will find the text for the iPhone App Store description for Firefox Home.  The description will eventually be uploaded to a site like this:

http://itunes.apple.com/us/app/firefox-home/id380366933?mt=8

Because it is Apple, we do not have a staging server where we can test this.  And, we cannot easily provide any localized screen shots.

I have filed individual bugs for locales to start the l10n for this process.
Comment 14 Dwayne Bailey 2010-08-04 23:05:25 PDT
(In reply to comment #13)
> Here is another piece of the Firefox Home project.  If you follow this link:
> 
> http://viewvc.svn.mozilla.org/vc/projects/granary/firefoxhome/AppStoreDescription.txt?revision=71852&view=co
> 
> you will find the text for the iPhone App Store description for Firefox Home. 
> The description will eventually be uploaded to a site like this:

Are there any requirements in terms of line breaks?  The first paragraph has no newlines but the subsequent ones do, does that influence the final layout?
Comment 15 Seth Bindernagel 2010-08-06 08:58:47 PDT
(From Pascal in bug 585037)

You have now a /mobile/home/ folder in your SVN repository (svn update).

Reminder, mozilla.com repo for your locale is:

https://svn.mozilla.org/projects/mozilla.com/trunk/YOURLOCALECODE/

The file to translate is /mobile/home/index.html

Please commit directly to SVN and indicate your revision numbers here or
alternatively, attach your files to this bug (upload them with the text/plain
MIME type).

The staging site for the page is:
https://www-trunk.stage.mozilla.com/en-GB/mobile/home

If you have any question, don't hesitate to ping me on irc (pascalc) or to put
a message in your bug.

Thanks
Comment 16 Seth Bindernagel 2010-08-07 03:09:54 PDT
Created attachment 463769 [details]
Firefox Home Application Strings

Updated strings for the Firefox Home 1.0.2 localized release.
Comment 17 Francesco Lodolo [:flod] 2010-08-07 09:34:29 PDT
Some questions ;-)

MainWindow.strings.po 
"Search". Is this a button (so an action), a title (describe a feature) or something else?

WebPageController.strings.po
"Home". What's the function of this string? Anything related to the App's name?

LogoutController.strings.po
"Signing out will erase your Firefox Home information from this device, but will require signing in and a full refresh next time."

(not really l10n) Are you sure that the "but" is wanted in this sentence?

Localizable.strings.po
"That email address has already been submitted" When is this message displayed?
Comment 18 Dan Walkowski 2010-08-07 14:19:21 PDT
Flod,
"Search" is the label on the tab for the search page, so it is a noun, not a verb in this case. 
"Home" is the label on a button that returns you to the main page, and means "go home" or "go back" in this instance. The button is small. 
That "but" should really be "and". And that email message is displayed in an alert if you submit a duplicate email address to the help server.
Comment 19 Francesco Lodolo [:flod] 2010-08-07 22:32:45 PDT
(In reply to comment #18)
> Flod,
> "Search" is the label on the tab for the search page, so it is a noun, not a
> verb in this case. 
> "Home" is the label on a button that returns you to the main page, and means
> "go home" or "go back" in this instance. The button is small. 
> That "but" should really be "and". And that email message is displayed in an
> alert if you submit a duplicate email address to the help server.

Thanks a lot Dan, it should be all clear now.
Comment 20 Francesco Lodolo [:flod] 2010-08-07 22:42:14 PDT
Sorry, I realized that I forgot one string in my first comment.

Localizable.strings.po
"Duplicate". Verb, noun or adjective? When is it used?
Comment 21 Ton 2010-08-08 04:29:36 PDT
About Localizable.strings.po line 107 (/* email subject */): will this be the Subject of a sent e-mail, and thus not be limited in number of chars? If not, what’s the context? Also, is line 44 (/* send the url via email */) a button text?
Comment 22 Jeronimo Fagundes 2010-08-08 18:57:26 PDT
No bug for pt-br yet? I'm in for it!
Comment 23 Dan Walkowski 2010-08-09 09:47:06 PDT
flod,
"Duplicate" is the title of the alert dialog that goes with that email message you asked about earlier.

Ton,
Yes, that is the subject line of the generated email when you send someone a link to a url.  It is user-editable after the fact, as it just launches the email app partially pre-filled.  And the "Email URL" is the button label to trigger it.
Comment 24 Ragavan S [:rags] 2010-08-09 13:47:17 PDT
*** Bug 578789 has been marked as a duplicate of this bug. ***
Comment 25 Dwayne Bailey 2010-08-10 02:39:58 PDT
(In reply to comment #18)
> "Search" is the label on the tab for the search page, so it is a noun, not a
> verb in this case. 
> "Home" is the label on a button that returns you to the main page, and means
> "go home" or "go back" in this instance. The button is small. 
> That "but" should really be "and". And that email message is displayed in an
> alert if you submit a duplicate email address to the help server.

(In reply to comment #23)
> "Duplicate" is the title of the alert dialog that goes with that email message
> you asked about earlier.
> 
> Yes, that is the subject line of the generated email when you send someone a
> link to a url.  It is user-editable after the fact, as it just launches the
> email app partially pre-filled.  And the "Email URL" is the button label to
> trigger it.

Dan, can you please update the comments in the .strings files so that info is not lost and the next translators can also see it.
Comment 26 Seth Bindernagel 2010-08-12 09:51:38 PDT
For testing the App on a device, I will each locale to provide me with the GUID number from one Apple iPhone 3, 3GS or 4 OR an iPod touch.  Apple has allocated us a very limited number of testing slots for our beta program so we cannot make a universal build for everyone.  

Please email me (sethb@mozilla.com) the GUID number and your exact device/model description so we can set you up in the Apple beta testing system.

I'll cross-post this in each of the locale-specific tracking bugs.  Please save your closed-source, Apple bashing for the next time we see each other over beers at a pub.  :)
Comment 27 Seth Bindernagel 2010-08-12 10:06:45 PDT
For localizers with no device, but who own a Mac, you can check out the Firefox Home source code, build it, and run it in a simulator.  If you want to do this, you will need to download the Apple SDK.  At least that is still free from Apple.  

Source:  http://hg.mozilla.org/services/fx-home/
Comment 28 Francesco Lodolo [:flod] 2010-08-12 10:12:47 PDT
(In reply to comment #26)
> Please email me (sethb@mozilla.com) the GUID number and your exact device/model
> description so we can set you up in the Apple beta testing system.

Any help on where I can find the GUID number? I found a software for Windows able to extract this info from a backup but nothing for Mac.

Also: are there limits on the iOS version and iPod Touch generation?
Comment 29 Dan Walkowski 2010-08-12 10:29:05 PDT
We are allotted 100 devices/year.  Removing a device from the list doesn't free up a slot until the following year.  

You can see your device UDID in iTunes, but you have to click on the serial number in the device main page, which is not visible as a button.

An easier way is to download the free app "Ad Hoc Helper", which creates an email with your UDID already filled in.  Just send it to me or Caitlin.

http://itunes.apple.com/app/ad-hoc-helper/id285691333?mt=8
Comment 30 Seth Bindernagel 2010-08-13 07:09:15 PDT
We are code freezing the *application* on Monday, August 16 at 16:00 PDT (UTC -7).  Please have all of the application strings translated by that time.

I will make the same announcements in each of the locale trackers and a more general announcement in the newsgroup. 

If you have not sent me one GUID number from your locale to test the locale, please see comment 26.
Comment 31 Jeronimo Fagundes 2010-08-14 07:40:33 PDT
(In reply to comment #26)
> Please email me (sethb@mozilla.com) the GUID number and your exact device/model
> description so we can set you up in the Apple beta testing system.


After submitting you a device's guid, the same device can be used in a particular apple developer account (my account, for example)? Or the device will be "locked" to the mozilla account?
Comment 32 Marek Stępień [:marcoos, inactive] 2010-08-15 04:00:24 PDT
Re-posting my comment from the pl-specific bug here:

The video clip (on the /mobile/home/ page) is not localizable. Could we re-use the subtitling code used for other clips (like the one on desktop Firefox 4 beta page) for translating the final text ("Exactly what you need on the Web / ready and waiting for you")?
Comment 33 Seth Bindernagel 2010-08-16 13:48:06 PDT
(In reply to comment #32)
> Re-posting my comment from the pl-specific bug here:
> 
> The video clip (on the /mobile/home/ page) is not localizable. Could we re-use
> the subtitling code used for other clips (like the one on desktop Firefox 4
> beta page) for translating the final text ("Exactly what you need on the Web /
> ready and waiting for you")?

I don't know if we are going to prioritize subtitling the video yet.  Since you have watched it, you'll notice that it is mostly showing a user using Firefox Home with a pop-song playing in the background.  The only localizable text is at the very end and you've highlighted that.  When/if we choose to localize the video, we will probably do as you suggested.
Comment 34 Alex Buchanan [:abuchanan] 2010-08-17 10:23:15 PDT
What is the proper character encoding for emails in each locale?  
e.g. utf-8 is not the standard for emails, in Japan, ISO-2022-JP is best [1]


[1] https://bugzilla.mozilla.org/show_bug.cgi?id=585909#c5
Comment 35 Francesco Lodolo [:flod] 2010-08-17 12:39:16 PDT
Good question. I think that the safest one is probably ISO-8859-1, but I can't find any useful documentation about this (Microsoft mail clients, like OE or Outlook, seem to use that as default).
Comment 36 Francesco Lodolo [:flod] 2010-08-17 12:41:34 PDT
(In reply to comment #35)
> Good question. I think that the safest one is probably ISO-8859-1, but I can't
> find any useful documentation about this (Microsoft mail clients, like OE or
> Outlook, seem to use that as default).

Ehm... Ignore this comment (should have gone into bug 583252 for "it") and sorry for the bugspam :-(
Comment 37 Seth Bindernagel 2010-08-18 17:49:51 PDT
The developer team has discovered a very small set of strings that were missed in the first round of localization because the strings are not actually part of our application.  They are in a small plugin for the OS, which has some advanced settings for Firefox Home.

The file is an XML file where you have to change four strings wrapped in the second set of quotes that serve the value of the English string name.  Example: 

/* this is an example */
"foo" = "foo"

You should translate the second "foo" so that translation might look like this:

/* this is an example */
"foo" = "bar"

Because there are only four strings, we have chose to send the strings directly via Bugzilla.  The dev team will copy/paste them into the files by hand once we can get them back from the you.

I have posted the strings in each of the locale-specific application translation bugs.
Comment 38 Seth Bindernagel 2010-08-20 17:27:44 PDT
Firefox Home is now available for testing.  In order to make it accessible to as many people as possible who may not have an iPhone, we set up a remote machine with the iPhone emulator to test the app.  We will not be using GUID numbers, as we had thought earlier.

To log in to the remote machine, you will need a remote desktop viewer client, sometimes referred to as a VNC.  If you do not have a VNC client, you can download realvnc or tightvnc (viewer only).  Google for "Tightvnc Viewer".  On Ubuntu, it should be located in Applications --> Internet --> Remove Desktop Viewer.

Once you launch the VNC application, it should ask for a hostname.  You will need to enter "l10n-fxhome.community.mozilla.com".  This is where we have set up a VM with Mac OS and the iPhone emulator.  You will be asked for a password, so you will need to email me so I can share with you the password.  

Instructions on testing are visible in an open document on the remote desktop.  You will immediately notice that multiple users can access this *one* machine at the same time.  Therefore, be sure to state what localization is testing at the time you are testing.

Any questions, please email me.  sethb@mozilla.com

I will post this in each of the locale-specific trackers.
Comment 39 Seth Bindernagel 2010-08-24 17:34:17 PDT
The Marketing team has updated the "What's News..." section of the App Store description to reflect what is new for this release.  Please update your translations.

http://viewvc.svn.mozilla.org/vc/projects/granary/firefoxhome/AppStoreDescription.txt?view=diff&r1=72913&r2=71852&diff_format=h

I will reopen any closed bugs and make comments in each of the locale-specific App Store Description bugs.  When you are finished translating this quick copy, please close the bug and mark as fixed.

(p.s. It is likely that this is the section of the App Store Description we will have to regularly update for future releases.)
Comment 40 Tony Chung [:tchung] 2010-08-30 13:39:32 PDT
I think this bug belongs i Weave::Firefox Home Component.  Are there any objections to moving this tracking bug there?
Comment 41 Seth Bindernagel 2010-08-30 14:04:29 PDT
(In reply to comment #40)
> I think this bug belongs i Weave::Firefox Home Component.  Are there any
> objections to moving this tracking bug there?

Could be, but it is a tracking bug.  Don't all Tracking bugs get filed under Core > Tracking?
Comment 42 Seth Bindernagel 2010-09-21 01:56:53 PDT
For the upcoming release of Firefox 1.0.3, there have been some string changes.  All strings changes can be found on the Verbatim server.  

https://localize.mozilla.org/projects/fxhome/

I will reopen each bug per locale so you can report when the work is finished.
Comment 43 dynamis (Tomoya ASAI) 2010-10-28 06:22:28 PDT
I updated Firefox Home translations.

BTW, how about new App Store descriptions for 1.0.4?
Ver 1.0.4 is not only "bug fix" as 1.0.3 was. We will add new features like "Use Native Apps" so we should update the description.
Comment 44 Seth Bindernagel 2010-10-28 07:09:37 PDT
I didn't receive any note from Marketing about changing the app store description.  I wonder if it is coming  I'll ask.
Comment 45 chris hofmann 2011-07-18 12:16:52 PDT
I posted this to the l10n newsgroup as a status update based on some question from Richardo Palomares


Yeah,  go ahead and close out those bugs.  There are no plans at the moment to do more updates on version of Firefox Home that is currently in the Apple Store.   There is a lot of redesign and planning work going on for a future version of Firefox Home that will be more web dev based and so the localization process for that project may change shape.   There should be some more updates on that project soon, and maybe some localization work that might need to get started in a few months.
Comment 46 Pascal Chevrel:pascalc 2011-07-19 03:51:02 PDT
all dependies are fixed/closed, closing the tracker bug. New bugs will be created for the next version of Firefox home. Thanks all!

Note You need to log in before you can comment on or make changes to this bug.